Index: database/factories/DepartmentFactory.php
===================================================================
--- database/factories/DepartmentFactory.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ database/factories/DepartmentFactory.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
@@ -4,5 +4,7 @@
 
 use App\Models\Department;
+use Carbon\Carbon;
 use Illuminate\Database\Eloquent\Factories\Factory;
+use Illuminate\Support\Facades\Storage;
 
 class DepartmentFactory extends Factory
@@ -22,9 +24,13 @@
     public function definition()
     {
+        $location = $this->faker->unique()->numberBetween(1, 99);
+        Storage::disk('local')->makeDirectory('Departments/' . $location);
         return [
-            'name' => $this->faker->name(),
-            'code' => $this->faker->unique()->numerify(),
-            'location' => $this->faker->unique()->name(),
-            'user_id' => "1",
+            'id' => $this->faker->unique()->randomNumber(),
+            'name' => $this->faker->domainName(),
+            'code' => $location,
+            'location' => 'Departments/' . $location,
+            'user_id' => $this->faker->numberBetween('1', '2'),
+            'created_at' => Carbon::now()
         ];
     }
Index: database/factories/UserFactory.php
===================================================================
--- database/factories/UserFactory.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
+++ database/factories/UserFactory.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
@@ -0,0 +1,39 @@
+<?php
+
+namespace Database\Factories;
+
+use App\Models\User;
+use Carbon\Carbon;
+use Illuminate\Database\Eloquent\Factories\Factory;
+
+class UserFactory extends Factory
+{
+    /**
+     * The name of the factory's corresponding model.
+     *
+     * @var string
+     */
+    protected $model = User::class;
+
+    /**
+     * Define the model's default state.
+     *
+     * @return array
+     */
+    public function definition()
+    {
+        return [
+            'name' => $this->faker->firstName(),
+            'surname' => $this->faker->lastName(),
+            'username' => $this->faker->userName(),
+            'password' => $this->faker->password(),
+            'email' => $this->faker->email(),
+            'mobile_number' => $this->faker->phoneNumber(),
+            'role_id' => $this->faker->numberBetween(1, 2),
+            'is_online' => $this->faker->boolean,
+            'is_confirmed' => $this->faker->boolean,
+            'is_forgot_password' => $this->faker->boolean,
+            'created_at' => Carbon::now()
+        ];
+    }
+}
Index: database/seeders/DatabaseSeeder.php
===================================================================
--- database/seeders/DatabaseSeeder.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ database/seeders/DatabaseSeeder.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
@@ -19,5 +19,5 @@
         $this->call(UsersTableSeeder::class);
         $this->call(DepartmentsTableSeeder::class);
-        $this->call(DocumentsTableSeeder::class);
+        //$this->call(DocumentsTableSeeder::class);
     }
 }
Index: database/seeders/DepartmentsTableSeeder.php
===================================================================
--- database/seeders/DepartmentsTableSeeder.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ database/seeders/DepartmentsTableSeeder.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
@@ -16,29 +16,5 @@
     public function run()
     {
-//        \DB::table('departments')->insert([
-//            [
-//                "name" => "HR department",
-//                "code" => "14",
-//                "location" => "C:\laragon\www\SaveSpace\storage/Departments/14",
-//                "user_id" => "1",
-//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-//            ],
-//            [
-//                "name" => "IT department",
-//                "code" => "01",
-//                "location" => "C:\laragon\www\SaveSpace\storage/Departments/01",
-//                "user_id" => "1",
-//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-//            ],
-//            [
-//                "name" => "Business department",
-//                "code" => "12",
-//                "location" => "C:\laragon\www\SaveSpace\storage/Departments/12",
-//                "user_id" => "1",
-//                "created_at" => Carbon::now()->format('Y-m-d H:i:s'),
-//            ],
-//        ]);
-
-        Department::factory()->count(50)->create();
+        Department::factory()->count(99)->create();
     }
 }
Index: database/seeders/UsersTableSeeder.php
===================================================================
--- database/seeders/UsersTableSeeder.php	(revision 24a616f69ea5bcfc52f7d556c82a951a28dd130a)
+++ database/seeders/UsersTableSeeder.php	(revision 120759b41a3ce01c1ab16d5c512103522ae5568f)
@@ -3,4 +3,5 @@
 namespace Database\Seeders;
 
+use App\Models\User;
 use Carbon\Carbon;
 use Illuminate\Database\Seeder;
@@ -28,16 +29,5 @@
         ]);
 
-        \DB::table("users")->insert([
-            "name" => "John",
-            "surname" => "Doe",
-            "username" => "john_doe",
-            "password" => bcrypt("Johnsecret1!"),
-            "email" => "johndoe@hotmail.com",
-            "mobile_number" => "+389 71 111 222",
-            "role_id" => 2,
-            "is_active" => true,
-            "is_confirmed" => true,
-            "created_at" => Carbon::now()
-        ]);
+        User::factory()->count(20)->create();
 
     }
